Index Page vdistg_c

A B C D E F G H I J K L M N O P Q R S T U V W X

Procedure Abstract Required_Reading Keywords Brief_I/O Detailed_Input | Detailed_Output Parameters Exceptions Files Particulars Examples | Restrictions Literature_References Author_and_Institution Version Index_Entries

#### Procedure

       SpiceDouble vdistg_c ( ConstSpiceDouble   * v1,
                              ConstSpiceDouble   * v2,
                              SpiceInt             ndim )

#### Abstract

       Return the distance between two vectors of arbitrary dimension.

#### Required_Reading

       None.

#### Keywords

       VECTOR

#### Brief_I/O

       Variable  I/O  Description
       --------  ---  --------------------------------------------------
       v1,
       v2         I   Two vectors of arbitrary dimension.
       ndim       I   The common dimension of v1 and v2

       The function returns the distance between v1 and v2.

#### Detailed_Input

       v1,
       v2         are two vectors of arbitrary dimension, the
                  distance between which is desired.

       ndim       is the common dimension of v1 and v2.  ndim must be
                  non-negative and must not exceed the minimum of the
                  declared sizes of the actual arguments corresponding
                  to v1 and v2.

#### Detailed_Output

       The function returns the distance between v1 and v2.  This is
       defined as

                ||  v1 - v2  ||,

       where || x || indicates the Euclidean norm of the vector x.

       If ndim is less than 1, the function value is set to 0..

#### Parameters

       None.

#### Exceptions

       Error free.

#### Files

       None.

#### Particulars

       The Euclidean norm of an n-dimensional vector

          (x ,  x , ... , x )
            1    2         n

       is defined as

                                                  1/2
                2        2                  2
          (   x    +   x    +  . . .  +   x     ).
               1        2                  n

       This number is the distance of the point (x, y, z) from the
       origin.  If n = 3, and A and B are two vectors whose components
       are

          ( a[0], a[1], a[2] )    and    ( b[0], b[1], b[2] ),

       then the distance between A and B is the norm of the difference
       A - B, which has components

          (  a[0] - b[0],  a[1] - b[1],  a[2] - b[2]  ).

       A related routine is vdist_c, which computes the distance between
       two 3-vectors.

#### Examples

       1)  If v1 is

              [ 2.0,  3.0 ]

           and v2 is

              [ 5.0,  7.0 ],

           and ndim is 2, then

              vdistg_c ( v1, v2, ndim );

           will be 5.0.

#### Restrictions

       None.

#### Literature_References

       None.

#### Author_and_Institution

       N.J. Bachman   (JPL)
       E.D. Wright    (JPL)

#### Version

       -CSPICE Version 1.1.0, 22-OCT-1998 (NJB)

          Made input vectors const.

       -CSPICE Version 1.0.0, 23-MAR-1998   (EDW)

#### Index_Entries

       distance between n-dimensional vectors

#### Link to routine vdistg_c source file vdistg_c.c

    Wed Apr  5 17:54:46 2017